Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.util
Interface Log

All Known Implementing Classes:
  StringBufferLog, WriterLog

    public interface Log

A log interface is used to log messages along with parameter data. A particular logging level may be specified for additional filtering capability. It provides a simple logger functionality as required by the ImperativeOCL::LogExp, which is intended the main client to this interface.

Since:
  2.0

Field Summary
`static Log` | `NULL_LOG` The `null` log instance, which has no real receiver of the logged entries.

Method Summary
`void` | `log(int level, java.lang.String message)` Logs a message at the specified logging level.
`void` | `log(int level, java.lang.String message, java.lang.Object param)` Logs a message with additional parameter at the specified logging level.
`void` | `log(java.lang.String message)` Logs a message.
`void` | `log(java.lang.String message, java.lang.Object param)` Logs a message with additional parameter.

Field Detail

### NULL_LOG

    static final Log NULL_LOG

  The `null` log instance, which has no real receiver of the logged entries.

Method Detail

### log

    void log(int level,
             java.lang.String message,
             java.lang.Object param)

  Logs a message with additional parameter at the specified logging level.

  Parameters:
    `level` - the level value to which the resulting log record should apply
    `message` - the textual message to be logged
    `param` - the parameter object to the message

### log

    void log(int level,
             java.lang.String message)

  Logs a message at the specified logging level.

  Parameters:
    `level` - the level value to which the resulting log record should apply
    `message` - the textual message to be logged

### log

    void log(java.lang.String message,
             java.lang.Object param)

  Logs a message with additional parameter.

  Parameters:
    `message` - the textual message to be logged
    `param` - the parameter object to the message

### log

    void log(java.lang.String message)

  Logs a message.

  Parameters:
    `message` - the textual message to be logged

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD